S4Vectors not loading
1
0
Entering edit mode
@panos-balomenos-9147
Last seen 19 months ago
Greece/University of Patras

Hi,

I am receiving the following error when loading S4Vectors, after a clean installation of R-devel and the package:

require('S4Vectors')
Loading required package: S4Vectors
Loading required package: stats4
Loading required package: BiocGenerics
Loading required package: parallel

Attaching package: 'BiocGenerics'

The following objects are masked from 'package:parallel':

    clusterApply, clusterApplyLB, clusterCall, clusterEvalQ,
    clusterExport, clusterMap, parApply, parCapply, parLapply,
    parLapplyLB, parRapply, parSapply, parSapplyLB

The following objects are masked from 'package:stats':

    IQR, mad, sd, var, xtabs

The following objects are masked from 'package:base':

    anyDuplicated, append, as.data.frame, basename, cbind, colnames,
    dirname, do.call, duplicated, eval, evalq, Filter, Find, get, grep,
    grepl, intersect, is.unsorted, lapply, Map, mapply, match, mget,
    order, paste, pmax, pmax.int, pmin, pmin.int, Position, rank,
    rbind, Reduce, rownames, sapply, setdiff, sort, table, tapply,
    union, unique, unsplit, which, which.max, which.min

Error: package or namespace load failed for 'S4Vectors':
 .onLoad failed in loadNamespace() for 'S4Vectors', details:
  call: validObject(.Object)
  error: invalid class "LLint" object: superclass "integer_OR_LLint" not defined in the environment of the object's class

sessionInfo()

R Under development (unstable) (2020-02-26 r77861)
Platform: x86_64-w64-mingw32/x64 (64-bit)
Running under: Windows 7 x64 (build 7601) Service Pack 1

Matrix products: default

locale:
[1] LC_COLLATE=Greek_Greece.1253  LC_CTYPE=Greek_Greece.1253   
[3] LC_MONETARY=Greek_Greece.1253 LC_NUMERIC=C                 
[5] LC_TIME=Greek_Greece.1253    

attached base packages:
[1] parallel  stats4    stats     graphics  grDevices utils     datasets 
[8] methods   base     

other attached packages:
[1] BiocGenerics_0.33.0

loaded via a namespace (and not attached):
[1] compiler_4.0.0

Any ideas? Thanks.

S4Vectors • 409 views
ADD COMMENT
0
Entering edit mode

No luck getting the package to load in multiple Win installations and machines. Luckily, no problems in Linux. Thanks for the responses.

ADD REPLY
0
Entering edit mode

Not sure what kind of response you're hoping. You're not providing any useful information. Please check our posting guide. Thanks!

ADD REPLY
0
Entering edit mode

Instead of installing the package with BiocManager::install, I installed it from its source and the problem was solved. Thanks again for the responses.

ADD REPLY
0
Entering edit mode

This sounds to me like you have packages from different versions of Bioconductor. What does

BiocManager::valid()

have to say? (note: you can format code by selecting it and then pressing the 101010 button)

ADD REPLY
0
Entering edit mode
 BiocManager::valid()
    [1] TRUE
ADD REPLY
1
Entering edit mode
@michael-lawrence-3846
Last seen 7 weeks ago
United States

Due to some changes in the methods package, you will need to rebuild S4Vectors. Note that if you're using a binary from a repository, it will not work until the repository rebuilds the binary. Installing from source of course should work.

ADD COMMENT
0
Entering edit mode

I was also getting an error with the latest R-devel:

<font color="#DC322F"> But after re-installing S4Vectors the error went away... </font>


<font color="#BABDB6">Error: package or namespace load failed for 'S4Vectors':</font>
<font color="#BABDB6"> .onLoad failed in loadNamespace() for 'S4Vectors', details:</font>
<font color="#BABDB6">  call: validObject(.Object)</font>
<font color="#BABDB6">  error: invalid class "LLint" object: superclass "integer_OR_LLint" not defined in the environment of the object's class</font>
> sessionInfo()
<font color="#00D700">R Under development (unstable) (</font><font color="#D7AF5F">2020-02-28</font><font color="#00D700"> r</font><font color="#FFAF00">77874</font><font color="#00D700">)</font>
<font color="#00D700">Platform: x</font><font color="#FFAF00">86</font><font color="#00D700">_</font><font color="#FFAF00">64</font><font color="#00D700">-pc-linux-gnu (</font><font color="#FFAF00">64</font><font color="#00D700">-bit)</font>
<font color="#00D700">Running under: Ubuntu </font><font color="#FFAF00">19.04</font>

<font color="#00D700">Matrix products: default</font>
<font color="#00D700">BLAS/LAPACK: /usr/lib/x</font><font color="#FFAF00">86</font><font color="#00D700">_</font><font color="#FFAF00">64</font><font color="#00D700">-linux-gnu/libopenblasp-r</font><font color="#FFAF00">0.3.5.</font><font color="#00D700">so</font>

<font color="#00D700">locale:</font>
<font color="#00D700"> </font><font color="#008787">[1]</font><font color="#00D700"> LC_CTYPE=en_US.UTF</font><font color="#FF875F">-8</font><font color="#00D700">       LC_NUMERIC=C              </font>
<font color="#00D700"> </font><font color="#008787">[3]</font><font color="#00D700"> LC_TIME=en_US.UTF</font><font color="#FF875F">-8</font><font color="#00D700">        LC_COLLATE=en_US.UTF</font><font color="#FF875F">-8</font><font color="#00D700">    </font>
<font color="#00D700"> </font><font color="#008787">[5]</font><font color="#00D700"> LC_MONETARY=en_US.UTF</font><font color="#FF875F">-8</font><font color="#00D700">    LC_MESSAGES=en_US.UTF</font><font color="#FF875F">-8</font><font color="#00D700">   </font>
<font color="#00D700"> </font><font color="#008787">[7]</font><font color="#00D700"> LC_PAPER=en_US.UTF</font><font color="#FF875F">-8</font><font color="#00D700">       LC_NAME=C                 </font>
<font color="#00D700"> </font><font color="#008787">[9]</font><font color="#00D700"> LC_ADDRESS=C               LC_TELEPHONE=C            </font>
<font color="#008787">[11]</font><font color="#00D700"> LC_MEASUREMENT=en_US.UTF</font><font color="#FF875F">-8</font><font color="#00D700"> LC_IDENTIFICATION=C       </font>

<font color="#00D700">attached base packages:</font>
<font color="#008787">[1]</font><font color="#00D700"> parallel  stats</font><font color="#FFAF00">4</font><font color="#00D700">    stats     graphics  grDevices utils     datasets </font>
<font color="#008787">[8]</font><font color="#00D700"> methods   base     </font>

<font color="#00D700">other attached packages:</font>
<font color="#008787">[1]</font><font color="#00D700"> BiocGenerics_</font><font color="#FFAF00">0.33.0</font><font color="#00D700"> colorout_</font><font color="#FFAF00">1.2</font><font color="#FF875F">-2</font><font color="#00D700">     </font>

<font color="#00D700">loaded via a namespace (and not attached):</font>
<font color="#008787">[1]</font><font color="#00D700"> compiler_</font><font color="#FFAF00">4.0.0</font>
> packageVersion("S4Vectors")
<font color="#008787">[1]</font><font color="#00D700"> '</font><font color="#FFAF00">0.25.12</font><font color="#00D700">'</font>
ADD REPLY
0
Entering edit mode

Sorry for the unrendered HTML, here it is in plain text:

Error: package or namespace load failed for 'S4Vectors':
 .onLoad failed in loadNamespace() for 'S4Vectors', details:
  call: validObject(.Object)
  error: invalid class "LLint" object: superclass "integer_OR_LLint" not defined in the environment of the object's class
### sessionInfo()
R Under development (unstable) (2020-02-28 r77874)
Platform: x86_64-pc-linux-gnu (64-bit)
Running under: Ubuntu 19.04

Matrix products: default
BLAS/LAPACK: /usr/lib/x86_64-linux-gnu/libopenblasp-r0.3.5.so

locale:
 [1] LC_CTYPE=en_US.UTF-8       LC_NUMERIC=C              
 [3] LC_TIME=en_US.UTF-8        LC_COLLATE=en_US.UTF-8    
 [5] LC_MONETARY=en_US.UTF-8    LC_MESSAGES=en_US.UTF-8   
 [7] LC_PAPER=en_US.UTF-8       LC_NAME=C                 
 [9] LC_ADDRESS=C               LC_TELEPHONE=C            
[11] LC_MEASUREMENT=en_US.UTF-8 LC_IDENTIFICATION=C       

attached base packages:
[1] parallel  stats4    stats     graphics  grDevices utils     datasets 
[8] methods   base     

other attached packages:
[1] BiocGenerics_0.33.0 colorout_1.2-2     

loaded via a namespace (and not attached):
[1] compiler_4.0.0
### packageVersion("S4Vectors")
[1] '0.25.12'
ADD REPLY
1
Entering edit mode

Yes, a reinstall is likely necessary to refresh the metadata.

ADD REPLY

Login before adding your answer.

Traffic: 410 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6